.\"	from: @(#)key.1	1.0 (Bellcore) 12/2/91
.\" $FreeBSD: src/usr.bin/key/key.1,v 1.2.2.3 1999/09/05 11:32:27 peter Exp $
.\"
.Dd December 2, 1991
.Dt KEY 1
.Os
.Sh NAME
.Nm key
.Nd stand\-alone program for computing responses to S/Key challenges
.Sh SYNOPSIS
.Nm
.Op Fl n Ar count
.Ar sequence
.Ar key 
.Sh DESCRIPTION
.Nm Key
takes the optional count  of the number of one time access 
passwords to print
along with a (maximum) sequence number and key as command line args, 
it prompts for the user's secret password, and produces both word 
and hex format responses.
.Sh EXAMPLE
Usage example:
.sp 0
 	>key \-n 5 99 th91334
.sp 0
 	Enter password: <your secret password is entered here>
.sp 0
 	OMEN US HORN OMIT BACK AHOY
.sp 0
	.... 4 more passwords.
.sp 0
 	>
.Sh OPTIONS
.Bl -tag -width indent
.It Fl n Ar count
The number of one time access passwords to print.
The default is one.
.El
.Sh SEE ALSO
.Xr keyinfo 1 ,
.Xr keyinit 1 ,
.Xr skey 1
.\" .BR keysu(1),
.Sh AUTHORS
Command by
.An Phil Karn ,
.An Neil M. Haller ,
.An John S. Walden
.Sh CONTACT
.Aq staff@thumper.bellcore.com
